Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.deploy
Class DeployerRuntime

    java.lang.Object
      |
      +--javax.management.NotificationBroadcasterSupport
            |
            +--weblogic.management.internal.DynamicMBeanImpl
                  |
                  +--weblogic.management.runtime.RuntimeMBeanDelegate
                        |
                        +--weblogic.management.deploy.DeployerRuntime

public class DeployerRuntime
extends weblogic.management.runtime.RuntimeMBeanDelegate
implements DeployerRuntimeMBean

This class is the singleton deployer that exists on Admin Servers. It the the primary interface to all application deployment related tasks.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class weblogic.management.internal.DynamicMBeanImpl
`ADMIN, CONFIG, localizing, mbean, mbeanServer, mbeanType, name, NAME_ATTRIBUTE, objectName, parent, registered, RUNTIME, type`

Method Summary
`java.util.Map` | `getAvailabilityStatusForApplication(java.lang.String appName, boolean refreshCache)`
`java.util.Map` | `getAvailabilityStatusForComponent(ComponentMBean compMBean, boolean refreshCache)`
`static DeployerRuntimeMBean` | `getDeployerRuntime()` Provides server side access to the DeployerRuntime singleton
`static DeployerRuntimeMBean` | `getDeployerRuntime(MBeanHome home)` Provides credentialed client access to the DeployerRuntime singleton.
`static DeployerRuntimeMBean` | `getDeployerRuntime(java.lang.String user, java.lang.String pword, java.lang.String adminURL)` Provides client access to the DeployerRuntime singleton.

Methods inherited from class weblogic.management.internal.DynamicMBeanImpl
`add, addNotificationListener, compareTo, copyFrom, disableNotifications, enableNotifications, ensureArgumentLocality, getAttribute, getAttributeInfo, getAttributes, getDefaultAttributeValue, getExtendedAttributeInfo, getExtendedOperationInfo, getLocalMBeanHome, getMBeanInfo, getMBeanType, getName, getObjectName, getParent, getSetAttributes, getType, getXAttributeInfo, invoke, invokeLocally, isAdmin, isCachingDisabled, isConfig, isRegistered, isRuntime, isSet, markAttributeModified, markAttributeModified, postDeregister, postRegister, preDeregister, preRegister, remove, removeNotificationListener, sendNotification, setAttribute, setAttributes, setLocalMBeanHome, setName, setParent, setParent, setType, toString, unSet, valuesGet, valuesPut`

Methods inherited from class javax.management.NotificationBroadcasterSupport
`getNotificationInfo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getDeployerRuntime

    public static DeployerRuntimeMBean getDeployerRuntime(java.lang.String user,
                                                          java.lang.String pword,
                                                          java.lang.String adminURL)
                                                   throws java.lang.IllegalArgumentException,
                                                          javax.management.InstanceNotFoundException

  Provides client access to the DeployerRuntime singleton.

  Parameters:
    `user` - is the userid to use for authentication
    `pword` - is the password to use for authentication
    `adminURL` - is the URL of the Admin Server
  Returns:
    the DeployerRuntime singleton
  Throws:
    javax.management.InstanceNotFoundException -
    java.lang.IllegalArgumentException - if unable to obtain context or contact the Admin Server
  See Also:
    `getDeployerRuntime()`

### getDeployerRuntime

    public static DeployerRuntimeMBean getDeployerRuntime(MBeanHome home)
                                                   throws java.lang.IllegalArgumentException,
                                                          javax.management.InstanceNotFoundException

  Provides credentialed client access to the DeployerRuntime singleton.

  Parameters:
    `home` - is the MBean home proxy from the admin server
  Returns:
    the DeployerRuntime singleton
  Throws:
    javax.management.InstanceNotFoundException -
    java.lang.IllegalArgumentException - if unable to obtain context or contact the Admin Server
  See Also:
    `getDeployerRuntime()`

### getDeployerRuntime

    public static DeployerRuntimeMBean getDeployerRuntime()

  Provides server side access to the DeployerRuntime singleton

  Returns:
    the DeployerRuntime singleton.
  See Also:
    `getDeployerRuntime(String, String, String)`

### getAvailabilityStatusForApplication

    public java.util.Map getAvailabilityStatusForApplication(java.lang.String appName,
                                                             boolean refreshCache)
                                                      throws javax.management.InstanceNotFoundException

  Specified by:
    getAvailabilityStatusForApplication in interface DeployerRuntimeMBean

### getAvailabilityStatusForComponent

    public java.util.Map getAvailabilityStatusForComponent(ComponentMBean compMBean,
                                                           boolean refreshCache)
                                                    throws javax.management.InstanceNotFoundException

  Specified by:
    getAvailabilityStatusForComponent in interface DeployerRuntimeMBean

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD